#
# spec file for package python-oslotest
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-oslotest
Version:        3.7.1
Release:        1.1
Summary:        OpenStack test framework
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslotest
Source0:        https://files.pythonhosted.org/packages/source/o/oslotest/oslotest-3.7.1.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-debtcollector
BuildRequires:  python2-fixtures
BuildRequires:  python2-mock
BuildRequires:  python2-mox3
BuildRequires:  python2-pbr
BuildRequires:  python2-python-subunit
BuildRequires:  python2-six
BuildRequires:  python2-stestr
BuildRequires:  python2-testtools
BuildRequires:  python3-debtcollector
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-mox3
BuildRequires:  python3-pbr
BuildRequires:  python3-python-subunit
BuildRequires:  python3-six
BuildRequires:  python3-stestr
BuildRequires:  python3-testtools
Requires:       python-debtcollector
Requires:       python-fixtures
Requires:       python-mock
Requires:       python-mox3
# NOTE: python-os-client-config is only needed for functional testing
# Requires:       python-os-client-config
Requires:       python-python-subunit
Requires:       python-six
Requires:       python-stestr
Requires:       python-testtools
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
The Oslo Test framework provides common fixtures, support for debugging, and
better support for mocking results.

%prep
%autosetup -n oslotest-%{version}
%py_req_cleanup

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/oslo_debug_helper
%python_clone -a %{buildroot}%{_bindir}/oslo_run_cross_tests
%python_clone -a %{buildroot}%{_bindir}/oslo_run_pre_release_tests

%post
%python_install_alternative oslo_debug_helper
%python_install_alternative oslo_run_cross_tests
%python_install_alternative oslo_run_pre_release_tests

%postun
%python_uninstall_alternative oslo_debug_helper
%python_uninstall_alternative oslo_run_cross_tests
%python_uninstall_alternative oslo_run_pre_release_tests

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc ChangeLog README.rst
%python_alternative %{_bindir}/oslo_debug_helper
%python_alternative %{_bindir}/oslo_run_cross_tests
%python_alternative %{_bindir}/oslo_run_pre_release_tests
%{python_sitelib}/oslotest
%{python_sitelib}/oslotest*egg-info

%changelog
